# std::system_error::what

From cppreference.com
< cpp‎ | error‎ | system error

virtual const char* what() const noexcept; |  | (since C++11)

Returns the explanatory string.

### Parameters

(none)

### Return value

Pointer to a null-terminated string with explanatory information.

### See also

code | returns error code (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/error/system_error/what&oldid=93115"